# Download BI view Downloads data from a BI view in a CSV or gzip file. If the data volume is large, it is recommended to use this operation to download Page 1 first. A continuation token will be returned in the response header. After that, provide the continuation token in this operation to download the subsequent pages. Endpoint: GET /api/integration/v2/biviews/{view_name} Version: 2025-08-06 ## Header parameters: - `token` (string, required) The valid authentication token that is generated by the Authentication operation. - `continuation-token` (string) The continuation token that was returned in the initial query for Page 1. Note: The continuation token is returned after Page 1 of the BI view is downloaded. To download the subsequent pages, you must specify the continuation token in this operation for Page 2 onwards. ## Path parameters: - `view_name` (string, required) Name of the BI view. ## Query parameters: - `clientId` (integer, required) The ID of the Zuora Revenue application user. - `fromDate` (string, required) The date from which the data query begins. - `toDate` (string, required) The date on which the data query ends. - `pagenum` (integer) The number of page to be downloaded. - `pageSize` (integer) The number of rows on each page to be downloaded. * For CSV format, the valid range is 1 - 10,000 with default 1,000. * For gzip format, the valid range is 1 - 20,000 with default 1,000. Note: Any value that is greater than 20,000 is invalid. - `outputType` (string) The output format of the download. Enum: "csv", "gzip" ## Response 204 fields ## Response 400 fields ## Response 401 fields ## Response 404 fields